Draft Ellipse/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Propiedades==")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand/es|Name=Draft Ellipse|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Ellipse|Shortcut=E L|SeeAlso=[[Draft Circle|Draft Circle]]}}
{{GuiCommand/es|Name=Draft Ellipse|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Ellipse|Shortcut=E L|SeeAlso=[[Draft Circle|Draft Circle]]}}
</div>


==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
La herramienta Elipse crea una elipse en el actual [[Draft SelectPlane | work plane]] ingresando dos puntos, definiendo la esquina de un cuadro rectangular en el que encajará la elipse. Toma el [[Draft Linestyle | linewidth and color]] previamente establecido en la pestaña Tareas.
La herramienta Elipse crea una elipse en el actual [[Draft SelectPlane | work plane]] ingresando dos puntos, definiendo la esquina de un cuadro rectangular en el que encajará la elipse. Toma el [[Draft Linestyle | linewidth and color]] previamente establecido en la pestaña Tareas.
</div>


This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the [[Draft Circle]] and [[Draft Arc]] tools. You can also approximate an elliptical or circular arc using the [[Draft BSpline]] and [[Draft BezCurve]] tools.

[[Image:Draft_ellipse_example.jpg|400px]]
<div class="mw-translate-fuzzy">
[[Image:Draft_ellipse_example.jpg|400px]]
[[Image:Draft_ellipse_example.jpg|400px]]
</div>


<div class="mw-translate-fuzzy">
====Utilización====
====Utilización====
# Presiona el botón {{KEY|[[Image:Draft Ellipse.png|16px]] [[Draft Ellipse]]}}, o presiona las teclas {{KEY|C}} y {{KEY|I}}
# Presiona el botón {{KEY|[[Image:Draft Ellipse.png|16px]] [[Draft Ellipse]]}}, o presiona las teclas {{KEY|C}} y {{KEY|I}}
# Selecciona un primer punto en la vista 3D, o escribe una [[Draft_Coordinates/es|coordenadas]]
# Selecciona un primer punto en la vista 3D, o escribe una [[Draft_Coordinates/es|coordenadas]]
# Selecciona un segundo punto en la vista 3D, o escribe una [[Draft_Coordinates/es|coordenadas]]
# Selecciona un segundo punto en la vista 3D, o escribe una [[Draft_Coordinates/es|coordenadas]]
</div>

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.


==Opciones==
==Opciones==


* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button when you have the desired values to insert the point.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Ellipse tool will restart after you give the second point, allowing you to draw another ellipse without pressing the Ellipse button again.
* Press {{KEY|R}} or click the checkbox to toggle ''relative'' mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Ellipse tool will restart after you finish the shape, allowing you to draw another one without pressing the tool button again.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|L}} or click the checkbox to toggle ''filled'' mode. If filled mode is on, the ellipse will create a filled face ({{PropertyData|Make Face}} {{TRUE}}); if not, the ellipse will not make a face ({{PropertyData|Make Face}} {{FALSE}}).
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
* Hold {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|I}} or the {{KEY|'''Filled'''}} button to have the ellipse filled with a face after it has been closed
* Hold {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the command.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current command.
* Ellipses, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.


==Propiedades==
==Propiedades==


An Ellipse object shares many properties with a [[Draft Circle]], but some properties only make sense for the ellipse.
* {{PropertyData|Major Radius}}: The major radius of the ellipse
* {{PropertyData|Minor Radius}}: The minor radius of the ellipse
* {{PropertyData|Make Face}}: Fills the ellipse with a face
* {{PropertyView|Pattern}}: Specifies a hatch pattern to fill the ellipse with
* {{PropertyView|Pattern Size}}: Specifies the size of the hatch pattern


===Data===
See also [[Draft Pattern|Draft Pattern]] page.
* {{PropertyData|First Angle}}: specifies the angle of the first point of the ellipse; normally 0&#176;.
* {{PropertyData|Last Angle}}: specifies the angle of the last point of the ellipse; normally 0&#176;.
* {{PropertyData|Major Radius}}: specifies the major radius of the ellipse.
* {{PropertyData|Minor Radius}}: specifies the minor radius of the ellipse.
:If the both radius have the same value, the ellipse looks the same as a [[Draft Circle]].
* {{PropertyData|Make Face}}: specifies if the Ellipse makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
:For it to be a full ellipse {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} should have the same value; otherwise, an elliptical arc is displayed. The values 0&#176; and 360&#176; are considered the same.

===View===
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].
The Ellipse tool can by used in [[macros]] and from the python console by using the following function:

The Ellipse tool can by used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
{{Code|code=
Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
makeEllipse (majorradius, minorradius, [placement], [facemode])
}}
}}

* Creates an ellipse object with given major and minor radius.
* Creates an {{incode|Ellipse}} object with given major ({{incode|majradius}}) and minor ({{incode|minradius}}) radius in millimeters.
* If a placement is given, it is used.
** The bigger value will be used for the major radius (X axis) if no other placement is given.
* If facemode is False, the ellipse is shown as a wireframe, otherwise as a face.
* If a {{incode|placement}} is given, it is used; otherwise the shape is created at the origin.
* Returns the newly created object.
* If {{incode|face}} is {{incode|True}}, the ellipse will make a face, that is, it will appear filled.


Example:
Example:
{{Code|code=
{{Code|code=
import Draft
import FreeCAD, Draft
myEllipse = Draft.makeEllipse(4,2)


Ellipse1 = Draft.makeEllipse(3000, 200)
Ellipse2 = Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 = Draft.makeEllipse(700, 1000, placement=place3)
}}
}}

{{Draft Tools navi}}
{{Userdocnavi}}
{{clear}}
{{clear}}

Revision as of 12:52, 8 January 2019

Draft Ellipse

Ubicación en el Menú
Draft → Ellipse
Entornos de trabajo
Draft, Arch
Atajo de teclado por defecto
E L
Introducido en versión
-
Ver también
Draft Circle

Descripción

La herramienta Elipse crea una elipse en el actual work plane ingresando dos puntos, definiendo la esquina de un cuadro rectangular en el que encajará la elipse. Toma el linewidth and color previamente establecido en la pestaña Tareas.

This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the Draft Circle and Draft Arc tools. You can also approximate an elliptical or circular arc using the Draft BSpline and Draft BezCurve tools.

Utilización

  1. Presiona el botón Draft Ellipse, o presiona las teclas C y I
  2. Selecciona un primer punto en la vista 3D, o escribe una coordenadas
  3. Selecciona un segundo punto en la vista 3D, o escribe una coordenadas

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.

Opciones

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Ellipse tool will restart after you finish the shape, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the ellipse will create a filled face (DatosMake Face true); if not, the ellipse will not make a face (DatosMake Face false).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Propiedades

An Ellipse object shares many properties with a Draft Circle, but some properties only make sense for the ellipse.

Data

  • DatosFirst Angle: specifies the angle of the first point of the ellipse; normally 0°.
  • DatosLast Angle: specifies the angle of the last point of the ellipse; normally 0°.
  • DatosMajor Radius: specifies the major radius of the ellipse.
  • DatosMinor Radius: specifies the minor radius of the ellipse.
If the both radius have the same value, the ellipse looks the same as a Draft Circle.
  • DatosMake Face: specifies if the Ellipse makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
For it to be a full ellipse DatosFirst Angle and DatosLast Angle should have the same value; otherwise, an elliptical arc is displayed. The values 0° and 360° are considered the same.

View

  • VistaPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DatosMake Face is true, and if VistaDisplay Mode is "Flat Lines".
  • VistaPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Ellipse tool can by used in macros and from the Python console by using the following function:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an Ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)